## Tool: `get_event`

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features.

Returns a single event on the given calendar.

The following code sample shows how to use `curl` to call the `get_event` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://calendarmcp.googleapis.com/mcp/v1' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_event", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for GetEvent.

### GetEventRequest

| JSON representation |
|---|
| ``` { "eventId": string, "calendarId": string } ``` |

| Fields ||
|---|---|
| `eventId` | `string` Required. Event ID. Can be resolved using `list_events` or `search_events`. |
| Union field `_calendar_id`. `_calendar_id` can be only one of the following: ||
| `calendarId` | `string` Optional. ID of the calendar containing the event. Email address - can be resolved using `list_calendars`. Default: primary calendar. |
|   ||

## Output Schema

### Event

| JSON representation |
|---|
| ``` { "id": string, "status": string, "htmlLink": string, "created": string, "updated": string, "summary": string, "description": string, "location": string, "creator": { object (`Principal`) }, "organizer": { object (`Principal`) }, "start": { object (`DateOrDateTime`) }, "end": { object (`DateOrDateTime`) }, "recurrence": [ string ], "recurringEventId": string, "originalStartTime": { object (`DateOrDateTime`) }, "transparency": string, "visibility": string, "attendees": [ { object (`Attendee`) } ], "conferenceUrl": string, "conferenceData": { object (`EventConferenceData`) }, "colorId": string, "overrideReminders": [ { object (`Reminder`) } ], "attachments": [ { object (`Attachment`) } ], "guestPermissions": { object (`GuestPermissions`) }, "eventType": enum (`EventType`), "workingLocationProperties": { object (`WorkingLocationProperties`) }, "availability": enum (`Availability`), "label": { object (`Label`) }, "taskId": string, "useDefaultReminders": boolean } ``` |

| Fields ||
|---|---|
| `id` | `string` Unique identifier. |
| `status` | `string` Optional. Status. Possible values are: - `confirmed` - Event is confirmed (default). - `tentative` - Event is tentatively confirmed. - `cancelled` - Event is cancelled or deleted. |
| `htmlLink` | `string` Output only. An absolute link to this event in the Google Calendar Web UI. |
| `created` | `string` Output only. Creation time (ISO 8601). |
| `updated` | `string` Output only. Last modification time (ISO 8601). |
| `summary` | `string` Title. |
| `description` | `string` Optional. Description. Can contain HTML. |
| `location` | `string` Optional. Location. |
| `creator` | ``object (`Principal`)`` Output only. Creator. |
| `organizer` | ``object (`Principal`)`` Output only. Organizer. Also listed in attendees if attending. |
| `start` | ``object (`DateOrDateTime`)`` Start time (inclusive). For recurring events the first instance is used. |
| `end` | ``object (`DateOrDateTime`)`` End time (exclusive). For recurring events the first instance is used. |
| `recurrence[]` | `string` Recurrence rules as `RRULE`, `EXRULE`, `RDATE`, or `EXDATE` strings (per RFC 5545). Omitted for single events. Start/end times must be set in the `start`/`end` fields. |
| `recurringEventId` | `string` Parent recurring event ID for instances of recurring events. |
| `originalStartTime` | ``object (`DateOrDateTime`)`` Original start time of recurring instances. This is the time at which this instance would start according to the recurrence data. |
| `transparency (deprecated)` | `string` > [!WARNING] > This item is deprecated! Optional. Deprecated: use `availability` instead. |
| `visibility` | `string` Optional. Visibility of the event. Possible values are: - `default` - Uses the default visibility for events on the calendar. This is the default value. - `public` - Event details are visible to all readers of the calendar. - `private` - Only event attendees may view event details. |
| `attendees[]` | ``object (`Attendee`)`` Attendees. |
| `conferenceUrl (deprecated)` | `string` > [!WARNING] > This item is deprecated! Deprecated: use `conferenceData.videoEntryPoint.uri` instead. Video conference link. |
| `conferenceData` | ``object (`EventConferenceData`)`` Conference data, includes a video conference link if present. |
| `colorId` | `string` The color of the event. Visible to users with editor access to the calendar. This is an ID referring to an entry in the calendar's color palette (string `'1'`-`'11'`): - `1`: Lavender - `2`: Sage - `3`: Grape - `4`: Flamingo - `5`: Banana - `6`: Tangerine - `7`: Peacock - `8`: Graphite - `9`: Blueberry - `10`: Basil - `11`: Tomato |
| `overrideReminders[]` | ``object (`Reminder`)`` Override Reminders that replace the default reminders for the event. Modifications only affect the acting user's view. |
| `attachments[]` | ``object (`Attachment`)`` File attachments. |
| `guestPermissions` | ``object (`GuestPermissions`)`` Guest permissions. |
| `eventType` | ``enum (`EventType`)`` Event type. |
| `workingLocationProperties` | ``object (`WorkingLocationProperties`)`` Working location properties. Populated only when `eventType` is `WORKING_LOCATION`. |
| `availability` | ``enum (`Availability`)`` Optional. Availability setting. |
| `label` | ``object (`Label`)`` Output only. Label assigned to this event. Populated only if the event has a label. Visible to users with editor access to the calendar. |
| `taskId` | `string` Output only. ID of the Google Task this event is a time block for. Populated only if `eventType` is `FOCUS_TIME` and the event is linked to a task. |
| Union field `_use_default_reminders`. `_use_default_reminders` can be only one of the following: ||
| `useDefaultReminders` | `boolean` Whether to use the default reminders for the event. If false and `overrideReminders` is empty, the event has no reminders. Modifications only affect the acting user's view. |
|   ||

### Principal

| JSON representation |
|---|
| ``` { "email": string, "displayName": string, "self": boolean } ``` |

| Fields ||
|---|---|
| `email` | `string` Email. |
| `displayName` | `string` Name. |
| `self` | `boolean` Output only. Whether this principal corresponds to the calendar on which this copy of the event appears. Default: `false`. |

### DateOrDateTime

| JSON representation |
|---|
| ``` { "date": string, "dateTime": string, "timeZone": string } ``` |

| Fields ||
|---|---|
| `date` | `string` ISO 8601 date in `yyyy-mm-dd` format (for example, `'2019-11-20'`). |
| `dateTime` | `string` ISO 8601 timestamp (for example, `'2019-11-20T08:19:06-07:00'`). |
| `timeZone` | `string` The original time zone in IANA Time Zone Database format (for example, `'America/Los_Angeles'`). The returned `dateTime` might be in a different display time zone (for example the viewer's current time zone). |

### Attendee

| JSON representation |
|---|
| ``` { "id": string, "email": string, "displayName": string, "organizer": boolean, "self": boolean, "resource": boolean, "optionalAttendee": boolean, "responseStatus": string, "comment": string, "additionalGuests": integer } ``` |

| Fields ||
|---|---|
| Union field `_id`. `_id` can be only one of the following: ||
| `id` | `string` Output only. Profile ID. |
|   ||
| Union field `_email`. `_email` can be only one of the following: ||
| `email` | `string` Required. Attendee's email address. |
|   ||
| Union field `_display_name`. `_display_name` can be only one of the following: ||
| `displayName` | `string` Optional. Name. |
|   ||
| Union field `_organizer`. `_organizer` can be only one of the following: ||
| `organizer` | `boolean` Output only. Whether attendee is the organizer. Default: `false`. |
|   ||
| Union field `_self`. `_self` can be only one of the following: ||
| `self` | `boolean` Output only. Whether this entry represents the calendar on which this copy of the event appears. Default: `false`. |
|   ||
| Union field `_resource`. `_resource` can be only one of the following: ||
| `resource` | `boolean` Optional. Whether attendee is a resource (for example, room). Immutable, can only be set when the attendee is initially added. Default: `false`. |
|   ||
| Union field `_optional_attendee`. `_optional_attendee` can be only one of the following: ||
| `optionalAttendee` | `boolean` Optional. Whether attendee is optional. Default: `false`. |
|   ||
| Union field `_response_status`. `_response_status` can be only one of the following: ||
| `responseStatus` | `string` Optional. Response status. Possible values are: - `needsAction` - Attendee has not responded to the invitation (recommended for new events). - `declined` - Attendee has declined the invitation. - `tentative` - Attendee has tentatively accepted the invitation. - `accepted` - Attendee has accepted the invitation. |
|   ||
| Union field `_comment`. `_comment` can be only one of the following: ||
| `comment` | `string` Output only. Response comment. |
|   ||
| Union field `_additional_guests`. `_additional_guests` can be only one of the following: ||
| `additionalGuests` | `integer` Optional. Number of additional guests. Default: `0`. |
|   ||

### EventConferenceData

| JSON representation |
|---|
| ``` { "solutionName": string, "joiningNotesText": string, "videoEntryPoint": { object (`EntryPoint`) }, "phoneEntryPoints": [ { object (`PhoneEntryPoint`) } ], "sipEntryPoint": { object (`EntryPoint`) }, "moreDetailsEntryPoint": { object (`EntryPoint`) } } ``` |

| Fields ||
|---|---|
| `solutionName` | `string` Name of the conference solution. |
| `joiningNotesText` | `string` Conference joining notes. |
| `videoEntryPoint` | ``object (`EntryPoint`)`` Video entry point. |
| `phoneEntryPoints[]` | ``object (`PhoneEntryPoint`)`` List of phone entry points. |
| `sipEntryPoint` | ``object (`EntryPoint`)`` SIP entry point. |
| `moreDetailsEntryPoint` | ``object (`EntryPoint`)`` Additional joining instructions. |

### EntryPoint

| JSON representation |
|---|
| ``` { "uri": string, "codes": [ { object (`Code`) } ] } ``` |

| Fields ||
|---|---|
| `uri` | `string` Entry point uri, might be sip or video or a free text string for more details. |
| `codes[]` | ``object (`Code`)`` Codes (e.g. access code, password) required to use this entry point. |

### Code

| JSON representation |
|---|
| ``` { "codeType": enum (`CodeType`), "value": string } ``` |

| Fields ||
|---|---|
| `codeType` | ``enum (`CodeType`)`` Type of the code |
| `value` | `string` Code itself, e.g. "123456", "abcde". |

### PhoneEntryPoint

| JSON representation |
|---|
| ``` { "phoneNumber": string, "codes": [ { object (`Code`) } ], "regionCode": string, "isTollNumber": boolean } ``` |

| Fields ||
|---|---|
| `phoneNumber` | `string` Phone number to join the conference call. |
| `codes[]` | ``object (`Code`)`` Codes (e.g. PIN) required to join using this phone access. |
| `regionCode` | `string` The region code for the country associated with this phone access. |
| `isTollNumber` | `boolean` Whether this phone number is for a toll call. |

### Reminder

| JSON representation |
|---|
| ``` { "method": string, "minutes": integer } ``` |

| Fields ||
|---|---|
| Union field `_method`. `_method` can be only one of the following: ||
| `method` | `string` Required. Delivery method. Possible values are: - `email` - Reminders are sent via email. - `popup` - Reminders are sent via a UI popup. |
|   ||
| Union field `_minutes`. `_minutes` can be only one of the following: ||
| `minutes` | `integer` Required. Minutes in advance that the reminder is triggered. |
|   ||

### Attachment

| JSON representation |
|---|
| ``` { "fileUrl": string, "title": string } ``` |

| Fields ||
|---|---|
| Union field `_file_url`. `_file_url` can be only one of the following: ||
| `fileUrl` | `string` Required. URL link to the attachment. |
|   ||
| Union field `_title`. `_title` can be only one of the following: ||
| `title` | `string` Optional. Attachment title. |
|   ||

### GuestPermissions

| JSON representation |
|---|
| ``` { "guestsCanInviteOthers": boolean, "guestsCanModify": boolean, "guestsCanSeeGuests": boolean } ``` |

| Fields ||
|---|---|
| Union field `_guests_can_invite_others`. `_guests_can_invite_others` can be only one of the following: ||
| `guestsCanInviteOthers` | `boolean` Optional. Whether guests can invite others. |
|   ||
| Union field `_guests_can_modify`. `_guests_can_modify` can be only one of the following: ||
| `guestsCanModify` | `boolean` Optional. Whether guests can modify the event. |
|   ||
| Union field `_guests_can_see_guests`. `_guests_can_see_guests` can be only one of the following: ||
| `guestsCanSeeGuests` | `boolean` Optional. Whether guests can see other guests. |
|   ||

### WorkingLocationProperties

| JSON representation |
|---|
| ``` { "customLocationLabel": string, "officeLocation": { object (`OfficeLocationDetails`) }, "type": enum (`WorkingLocationType`), "timeZone": string } ``` |

| Fields ||
|---|---|
| Union field `location`. Location specific details. `location` can be only one of the following: ||
| `customLocationLabel` | `string` Optional. The label for a custom location. Required if type is `CUSTOM_LOCATION`. |
| `officeLocation` | ``object (`OfficeLocationDetails`)`` Optional. The office location details. Required if type is `OFFICE_LOCATION`. |
|   ||
| Union field `_type`. `_type` can be only one of the following: ||
| `type` | ``enum (`WorkingLocationType`)`` Optional. Working location type. |
|   ||
| Union field `_time_zone`. `_time_zone` can be only one of the following: ||
| `timeZone` | `string` Output only. Time zone (IANA Time Zone Database name, e.g., "America/Los_Angeles"). |
|   ||

### OfficeLocationDetails

| JSON representation |
|---|
| ``` { "buildingId": string, "floorId": string, "floorSectionId": string, "deskId": string, "label": string } ``` |

| Fields ||
|---|---|
| Union field `_building_id`. `_building_id` can be only one of the following: ||
| `buildingId` | `string` Optional. The building ID. |
|   ||
| Union field `_floor_id`. `_floor_id` can be only one of the following: ||
| `floorId` | `string` Optional. The floor ID. |
|   ||
| Union field `_floor_section_id`. `_floor_section_id` can be only one of the following: ||
| `floorSectionId` | `string` Optional. The floor section ID. |
|   ||
| Union field `_desk_id`. `_desk_id` can be only one of the following: ||
| `deskId` | `string` Optional. The desk ID. |
|   ||
| Union field `_label`. `_label` can be only one of the following: ||
| `label` | `string` Optional. Human-readable label for the office location. |
|   ||

### Label

| JSON representation |
|---|
| ``` { "id": string, "displayName": string, "backgroundColor": string } ``` |

| Fields ||
|---|---|
| `id` | `string` Output only. Unique identifier. |
| `displayName` | `string` Optional. Display name (max 50 chars). |
| `backgroundColor` | `string` Required. Background color in hex format (for example, "#039be5"). |

### CodeType

Valid code types.

| Enums ||
|---|---|
| `CODE_TYPE_UNSPECIFIED` | Unspecified should never be used. |
| `ACCESS_CODE` | Access code. |
| `PASSCODE` | Passcode. |
| `PASSWORD` | Password. |
| `MEETING_CODE` | Meeting code. |
| `PIN` | PIN. |

### EventType

Event type. Immutable after creation.

| Enums ||
|---|---|
| `EVENT_TYPE_UNSPECIFIED` | Treated as `DEFAULT`. |
| `DEFAULT` | Regular event. Default value. |
| `OUT_OF_OFFICE` | Out-of-office event. Out-of-office events cannot be all-day. |
| `FOCUS_TIME` | Focus-time event. Focus-time events cannot be all-day. |
| `WORKING_LOCATION` | Working location event. |
| `BIRTHDAY` | Special all-day event with an annual recurrence. |
| `FROM_GMAIL` | Event from Gmail. This type of event cannot be created. |

### WorkingLocationType

Type of working location.

| Enums ||
|---|---|
| `WORKING_LOCATION_TYPE_UNSPECIFIED` | Unspecified working location type. Will be treated as `HOME_OFFICE`. |
| `HOME_OFFICE` | Home office. |
| `CUSTOM_LOCATION` | Custom location. |
| `OFFICE_LOCATION` | Office location. |

### Availability

Availability setting for an event.

| Enums ||
|---|---|
| `AVAILABILITY_UNSPECIFIED` | Default. Treated as `BUSY`. |
| `AVAILABILITY_BUSY` | Blocks time on calendar. |
| `AVAILABILITY_FREE` | Does not block time. |

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌

## Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/calendar`
- `https://www.googleapis.com/auth/calendar.events`
- `https://www.googleapis.com/auth/calendar.events.readonly`
- `https://www.googleapis.com/auth/calendar.readonly`